<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/game_icon_container"
        android:layout_width="52dp"
        android:layout_height="58dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/game_icon"
            android:layout_width="48dp"
            android:layout_height="48dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/titleContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:orientation="horizontal"
        android:gravity="center_vertical"
        app:layout_constraintVertical_chainStyle="packed"
        app:layout_constraintBottom_toTopOf="@id/game_tags"
        app:layout_constraintLeft_toRightOf="@id/game_icon_container"
        app:layout_constraintRight_toLeftOf="@+id/game_rating"
        app:layout_constraintTop_toTopOf="@id/game_icon_container">

        <TextView
            android:id="@+id/game_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/text_primary"
            android:textSize="16sp"
            android:textStyle="bold"
            tools:text="轩辕剑龙舞云山" />

        <TextView
            android:id="@+id/gameSubtitleTv"
            android:layout_width="wrap_content"
            android:layout_height="14dp"
            android:layout_marginStart="4dp"
            android:paddingStart="2dp"
            android:paddingEnd="2dp"
            android:singleLine="true"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            tools:background="@drawable/bg_advance_download_game_subtitle"
            tools:text="副标题"
            tools:textColor="@color/text_secondary"
            tools:visibility="visible" />
    </LinearLayout>

    <TextView
        android:id="@+id/game_tags"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="12dp"
        android:includeFontPadding="false"
        android:orientation="horizontal"
        android:singleLine="true"
        android:textSize="@dimen/tag_text_size"
        app:layout_constraintBottom_toBottomOf="@id/game_icon_container"
        app:layout_constraintLeft_toRightOf="@id/game_icon_container"
        app:layout_constraintRight_toLeftOf="@id/game_rating"
        app:layout_constraintTop_toBottomOf="@id/titleContainer"
        tools:text="全局加速/端游改编" />

    <TextView
        android:id="@+id/game_rating"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawableLeft="@drawable/home_game_rating"
        android:drawablePadding="4dp"
        android:includeFontPadding="false"
        android:textColor="@color/primary_theme"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/game_icon_container"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/game_icon_container"
        tools:text="9.3" />

</androidx.constraintlayout.widget.ConstraintLayout>
